APICars
Update my car
Updates an owned car. Missing fields stay untouched; empty strings clear nullable fields.
PUT
Updates an owned car. Missing fields stay untouched; empty strings clear nullable fields.
sessionAuthcookie
better-auth.session_token<token>Better Auth session cookie (on HTTPS: __Secure-better-auth.session_token), forwarded to the login server's /api/auth/get-session
id*stringapplication/json- body
brand?stringLength
1 <= lengthmodel?stringLength
1 <= lengthyear?integerRange
1950 <= value <= 9007199254740991color?string|nullphotoUrl?|unknown|nulldoors?|nullseats?|nullbodyType?string|nulltrunkCapacityLiters?|nullOK
application/json- response
success*booleancurl -X PUT 'https://example.com/api/cars/string' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "success": true}